Oh yes, um, you need windows XP, I am not sure if it will work on vista.